#include "StFmsGeom.h"
ClassImp(StFmsGeom)
  StFmsGeom::StFmsGeom(FilesSet* p_files):Geom(p_files)
{
  //set up the numbers of rows and cols for FMS
  Nrows[0]=Nrows[1]=34;
  Nrows[2]=Nrows[3]=24;
  Ncols[0]=Ncols[1]=17;
  Ncols[2]=Ncols[3]=12;
};

 bool StFmsGeom::getTowerPosition(int nstb, int row, int col, 
				  TVector3& position)
{
  //nstb=1,2,3 or 4 for Large North, Large South, Small North, Small South
  //first row is row=1     first col  is col=1
  if(nstb<1 || nstb>4) return false;
  if(row<1 || row>Nrows[nstb]) return false;
  if(col<1 || col>Ncols[nstb]) return false;

  cellsize=*FpdTowWid(2,nstb);
  TVector3 localxyz( (col-.5)*cellsize,(row-.5)*cellsize,0.);
  position=GlobalXYZ(2,nstb,localxyz);
  return true;
};
bool StFmsGeom::getTowerId(const TVector3& position, 
			   int& nstb, int& row, int& col)
{
  if(nstb<1 || nstb>4) return false;
  TVector3 globalV=position;

  globalV.SetZ(0.); // only use the transverse coordinates of position

  TVector3 localV=LocalXYZ(2,nstb,globalV);
  row=floor(localV.Y()+1.);
  col=floor(localV.X()+1.);
  if(row<1 || row>Nrows[nstb]) return false;
  if(col<1 || col>Ncols[nstb]) return false;
  return true;
};

bool StFmsGeom::getTowerId(const StMuTrack* track, int& nstb, int& row, int& col)
{
  //not yet implemented
  return false;
};
