void FmsA2E(int nevents = 100, const char* file = "9065073.list")
{
  // Load shared libraries
  gROOT->Macro("loadMuDst.C");
  gROOT->Macro("LoadLogger.C");

  // Load your shared libraries here
  gSystem->Load("StFmsAnalysisMaker");
  FilesSet* mfiles = new FilesSet("/star/u/heppel/BatchDir/rootfms",
				  "lb_trg2008/fms/fmsped_2008.txt",
				  "lb_trg2008/fms/fmsgain.20080526.txt",
				  "lb_trg2008/fms/fpdcorr_itr10_20080828.txt",
				  "fpd08/fill.txt",
				  "Fake",
				  "fpd08/spinpat",
				  "lb_trg2008/fms/geom_2008pp_0227.txt",
				  "lb_trg2008/fms/qtmap.txt",
				  "lb_trg2008/fms/qtmap2pp_set121.txt");
  
  
  
  // Create chain
  StChain* chain = new StChain;

  // Instantiate MuDst maker
  StMuDstMaker* muDstMaker = new StMuDstMaker(0,0,"",file,".",1000,"MuDst");
  StMuDbReader* muDB = StMuDbReader::instance();

  // Instantiate your makers here
  StFmsA2EMaker* fms = new StFmsA2EMaker;
  fms->LinkFiles(mfiles);
  // Initialize chain
  chain->Init();


  // Event loop

  cout<<"Prepare to process "<<nevents<<" events.\n";
  for (int iEvent = 1; iEvent <= nevents; ++iEvent) 
    {
      cout<<"iEvent="<<iEvent<<"\n";
      chain->Clear();
      int status = chain->Make(iEvent);
      int nrow[4]={34,34,24,24};
      int ncol[4]={17,17,12,12};
      if (status % 10 == kStEOF || status % 10 == kStFatal) break;
      for(int nstb=1;nstb<5;nstb++)
	{
	  cout<<"____________ nstb="<<nstb <<"\n";
	  for(int row=1;row < nrow[nstb-1]+1;row++)
	    {
	      printf("%5d :",row);
	      for(int col=1;col<ncol[nstb-1]+1;col++)
		{
		  printf("%3.1f ",fms->energy(nstb,row,col));
		};
	      printf("\n");

	    }
	  
	};
    }
}
