void RunFmsEvDisplay(int nevents = 3e3, const char* file = "9065073.list")
{
  // Load shared libraries
  gROOT->Macro("loadMuDst.C");
  gROOT->Macro("LoadLogger.C");
  gSystem->Load("StTpcDb");
  gSystem->Load("StDetectorDbMaker");
  gSystem->Load("StDbUtilities");
  gSystem->Load("StDaqLib");
  gSystem->Load("StEmcRawMaker");
  gSystem->Load("StEmcADCtoEMaker");
  gSystem->Load("StPreEclMaker");
  gSystem->Load("StEpcMaker");
  gSystem->Load("StDbBroker");
  gSystem->Load("St_db_Maker");

  // Load your shared libraries here
  gSystem->Load("StFmsAnalysisMaker");

  // Create chain
  StChain* chain = new StChain;

  // Instantiate MuDst maker
  StMuDstMaker* muDstMaker = new StMuDstMaker(0,0,"",file,".",1000,"MuDst");
  StMuDbReader* muDB = StMuDbReader::instance();

  // Database
  //St_db_Maker* starDb = new St_db_Maker("StarDb", "MySQL:StarDb");
  
  // Instantiate your makers here
  StFmsAnalysisMaker* fms = new StFmsAnalysisMaker;
  fms->SetFile("fms.root");
  TCanvas* c1=new TCanvas("c1","c1",600,600);
  c1->Divide(2,2);
  // Initialize chain
  chain->Init();
  StFmsAnalysisMaker* fmsMaker=chain->GetMaker("StFmsAnalysisMaker");
  TH2F* FmsH[4];
  // Event loop
  for (int iEvent = 1; iEvent <= nevents; ++iEvent) 
    {
      cout<<"iEvent="<<iEvent<<"\n";
      chain->Clear();
      int status = chain->Make(iEvent);
      if (status % 10 == kStEOF || status % 10 == kStFatal) break;

      TH2F NorthLarge(*(fmsMaker->GetEnergy(0)));
      TString ev("iEvent= ");
      ev=ev+iEvent;
      NorthLarge.SetTitle((char*) ev);
      NorthLarge.SetName("NorthLargeFMS");
      c1->cd(1);
      NorthLarge.Draw("zcol");
      TH2F SouthLarge(*(fmsMaker->GetEnergy(1)));
      SouthLarge.SetName("SouthLargeFMS");
      c1->cd(2);
      SouthLarge.Draw("zcol");
      TH2F NorthSmall(*(fmsMaker->GetEnergy(2)));
      NorthSmall.SetName("NorthSmallFMS");
      c1->cd(3);
      NorthSmall.Draw("zcol");
      TH2F SouthSmall(*(fmsMaker->GetEnergy(3)));
      SouthSmall.SetName("SouthSmallFMS");
      c1->cd(4);
      SouthSmall.Draw("zcol");
      c1->Update();

    }
}
  
