#ifndef Qt_
#define Qt_
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include "FilesSet.h"
#include "TObjArray.h"
#include "TMatrix.h"
#include "TH2F.h"

class Qt : public TObject
{
 public:
  Qt(FilesSet* p_files);
  ~Qt();
  // Large 17x34=578
  // Small 12x24=288
  Int_t pr[578][4];// [det channels][nstb]
  Int_t rr[578][4];// [det channels][nstb]
  Int_t cr[578][4];// [det channels][nstb]
  Int_t rcrate[16][20][2][2];//[cr-1],[rr-1],[pr-1],[ns]
  Int_t rslot[16][20][2][2];//[cr-1],[rr-1],[pr-1],[ns]
  Int_t rdcd[16][20][2][2];//[cr-1],[rr-1],[pr-1],[ns]
  Int_t rdch[16][20][2][2];//[cr-1],[rr-1],[pr-1],[ns]
  
  Int_t detchan[32][16][7];//[chan][slot][crate]
  Int_t detnstb[16][7];//[slot][crate]
  
  Int_t NTrigMap[32][16];//[chan][slot]
  Int_t TrigMapslot[32][16][4];//[chan][slot][num qt8];
  Int_t TrigMapqt8[32][16][4];//[chan][slot][num qt8];
  void DefineTrigMap();
  void AddToTrigMap(char* slot,Int_t ch_min,Int_t ch_max, 
		    char* s0="",char* s1="",char* s2="",char* s3="");
  void AddToTrigMapSq(char* slot,Int_t ch_min,Int_t ch_max, 
		    char* s0="",Int_t nqt8=0);


  Int_t COL_NUM[4]; //[nstb]
  Int_t ROW_NUM[4];
  TObjArray* qtMat;
  TH2F* qtHist[4];           //[nstb]
  Int_t qtadc[32][16][7];    //[chan][slot][crate]
  Int_t qttac[32][16][7];
  Int_t qtnht[16][7];        //[slot][crate]
  Int_t qt8sum[4][16][7];    //[qt8][slot][crate]
  Int_t qtsum[16][7];
  Int_t qtht[16][7];
  Int_t qthtadr[16][7];
  Int_t fmssum[5];
  Int_t errfff;
  Int_t QtError;
  Filentry* p_qtmap;
  Filentry* p_qtmap2pp;
  Int_t qtcrate_off[14];
  Int_t qtadd_off;
  Int_t qtmaxch[4];
  Bool_t decodeQT(Int_t nQTdata,UInt_t* QTdata, Int_t IDNEVT);
  void initQT();
  TMatrix* tm(Int_t instb);
  Int_t ndata;
  Int_t sumadc;
  void EnableqtHist();
 private:
  Int_t mm[4];
  void set_mm_order(Int_t m1=1,Int_t m2=3,Int_t m3=2,Int_t m4=4)
    {
      mm[0]=m1;mm[1]=m2;mm[2]=m3;mm[3]=m4;
    };
  ClassDef(Qt,1);
};
#endif
