// -*- mode: C++ -*-

#ifndef ST_FMS_A2E_MAKER_H
#define ST_FMS_A2E_MAKER_H

// ROOT
class TFile;

// PSU-FMS package
class FilesSet;
class Geom;
class Qt;
class CalibStr;

// STAR
#include "StMaker.h"

class StFmsA2EMaker : public StMaker {
public:
  StFmsA2EMaker(const char* name = "StFmsA2EMaker") : StMaker(name) {mFiles=0;}
  ~StFmsA2EMaker();

  void Clear(Option_t* option = "");
  int  Init();
  int  Make();
  int  Finish();
  unsigned short adc(int nstb,int row, int col);
  float energy(int nstb,int row, int col);
  void LinkFiles(FilesSet* fls);
private:
  Int_t currentRunNumber;
  FilesSet* mFiles;
  Geom* mGeom;
  Qt* mQt;
  CalibStr* Rped;
  CalibStr* Rgain;
  CalibStr* Rgaincorr;
  
  ClassDef(StFmsA2EMaker,1);
};

#endif	// ST_FMS_A2E_MAKER_H
